Subject: bug#11384: closed (Re: bug#11384: 24.0.96; crash in XXXXXX)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 13 Feb 2013 02:33:01 +0000

Your bug report

#11384: 24.0.96; crash in XXXXXX

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11384: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11384
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11384: 24.0.96; crash in XXXXXX
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 12 Feb 2013 21:31:56 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Not enough information to do anything with this.
For non-reproducible crashes, gdb sessions really need to be live.

Subject: 24.0.96; crash in XXXXXX
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>
Date: Mon, 30 Apr 2012 09:53:49 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hope this helps.  I moved to frames 1 through 5 and printed the
selected_window and xtype.
 
As I stated in bug #11291, I've been getting a lot of crashes lately.
(And I've heard from others saying the same thing.)  This is with the
latest pretest build.
 
$ ./gdb -p 5284
GNU gdb (GDB) 7.2
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "mingw32".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Attaching to process 5284
[New Thread 5284.0x14a8]
[New Thread 5284.0x12a8]
[New Thread 5284.0x114]
Reading symbols from C:\Emacs-24-Pretest5-2012-04-28\bin\emacs.exe...done.
[Switching to Thread 5284.0x114]
Warning: c:\drews-lisp-20\bin/../lwlib: No such file or directory.
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from
terminal]
Environment variable "DISPLAY" not defined.
TERM = cygwin
.gdbinit:1328: Error in sourced command file:
No symbol "Vsystem_type" in current context.
(gdb) c
Continuing.
 
Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 5284.0x12a8]
0x7c90120f in ntdll!DbgUiConnectToDbg () from C:\WINDOWS\system32\ntdll.dll
(gdb) bt
#0  0x7c90120f in ntdll!DbgUiConnectToDbg () from C:\WINDOWS\system32\ntdll.dll
#1  0x0114f346 in w32_abort () at w32fns.c:7210
#2  0x01042217 in die (msg=0x1543c88 "assertion failed: BUFFERP
(((w))->buffer)",
    file=0x1542ad9 "w32fns.c", line=3004) at alloc.c:6339
#3  0x0114566e in w32_wnd_proc (hwnd=0x1b0b32, msg=269, wParam=0, lParam=0)
    at w32fns.c:3004
#4  0x7e418734 in USER32!GetDC () from C:\WINDOWS\system32\user32.dll
#5  0x001b0b32 in ?? ()
#6  0x0000010d in ?? ()
#7  0x00000000 in ?? ()
 
Lisp Backtrace:
"x-create-frame" (0x83d474)
"x-create-frame-with-faces" (0x83d764)
"make-frame" (0x83d9c0)
0x34853ce Lisp type 6
"display-buffer-pop-up-frame" (0x83df74)
"display-buffer--maybe-pop-up-frame-or-window" (0x83e264)
"display-buffer" (0x83e564)
"pop-to-buffer" (0x83e854)
"switch-to-buffer-other-window" (0x83eb44)
"find-file-other-window" (0x83ee44)
0x4451745 There is no member named size.
(gdb) frame 3
#3  0x0114566e in w32_wnd_proc (hwnd=0x1b0b32, msg=269, wParam=0, lParam=0)
    at w32fns.c:3004
3004    w32fns.c: No such file or directory.
        in w32fns.c
(gdb) p selected_window
$1 = 69005317
(gdb) xtype
Lisp_Vectorlike
There is no member named size.
(gdb) frame 2
#2  0x01042217 in die (msg=0x1543c88 "assertion failed: BUFFERP
(((w))->buffer)",
    file=0x1542ad9 "w32fns.c", line=3004) at alloc.c:6339
6339    alloc.c: No such file or directory.
        in alloc.c
(gdb) p selected_window
$2 = 69005317
(gdb) xtype
Lisp_Vectorlike
There is no member named size.
(gdb) frame 4
#4  0x7e418734 in USER32!GetDC () from C:\WINDOWS\system32\user32.dll
(gdb) p selected_window
$3 = 69005317
(gdb) xtype
Lisp_Vectorlike
There is no member named size.
(gdb) frame 1
#1  0x0114f346 in w32_abort () at w32fns.c:7210
7210    w32fns.c: No such file or directory.
        in w32fns.c
(gdb) p selected_window
$4 = 69005317
(gdb) xtype
Lisp_Vectorlike
There is no member named size.
(gdb) frame 5
#5  0x001b0b32 in ?? ()
(gdb) p selected_window
$5 = 69005317
(gdb) xtype
Lisp_Vectorlike
There is no member named size.
(gdb)

In GNU Emacs 24.0.96.1 (i386-mingw-nt5.1.2600)
 of 2012-04-28 on MARVIN
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.6) --no-opt --enable-checking --cflags
 -ID:/devel/emacs/libs/libXpm-3.5.8/include
 -ID:/devel/emacs/libs/libXpm-3.5.8/src
 -ID:/devel/emacs/libs/libpng-dev_1.4.3-1/include
 -ID:/devel/emacs/libs/zlib-dev_1.2.5-2/include
 -ID:/devel/emacs/libs/giflib-4.1.4-1/include
 -ID:/devel/emacs/libs/jpeg-6b-4/include
 -ID:/devel/emacs/libs/tiff-3.8.2-1/include
 -ID:/devel/emacs/libs/gnutls-3.0.9/include'